# Uses of Enum
org.eclipse.mat.inspections.osgi.model.BundleDescriptor.Type

Packages that use BundleDescriptor.Type
Package
Description
org.eclipse.mat.inspections.osgi.model
These are utilities for the OSGi bundle queries.

## Uses of BundleDescriptor.Type in org.eclipse.mat.inspections.osgi.model

Methods in org.eclipse.mat.inspections.osgi.model that return BundleDescriptor.Type
Modifier and Type
Method
Description
`BundleDescriptor.Type`
BundleDescriptor.`getType()`
Get bundle's type (fragment or bundle)
`static BundleDescriptor.Type`
BundleDescriptor.Type.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static BundleDescriptor.Type[]`
BundleDescriptor.Type.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Constructors in org.eclipse.mat.inspections.osgi.model with parameters of type BundleDescriptor.Type
Modifier
Constructor
Description
``
`BundleDescriptor(int objectId, Long bundleId, String bundleName, String state, BundleDescriptor.Type type)`